Bug 517776 - Review Request: gettext-ant-tasks
Review Request: gettext-ant-tasks
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-08-17 02:01 EDT by Cédric OLIVIER
Modified: 2010-09-09 19:49 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-09 19:49:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cédric OLIVIER 2009-08-17 02:01:08 EDT
Spec URL : http://cedric.olivier.free.fr/rpms/gettext-ant-tasks/gettext-ant-tasks.spec
SRPM URL : http://cedric.olivier.free.fr/rpms/gettext-ant-tasks/gettext-ant-tasks-0.9.6-1.fc11.src.rpm

Description:
The Gettext Commons project provides Java classes for internationalization 
(i18n) through GNU gettext.

The lightweight library combines the power of the unix-style gettext tools 
with the widely used Java ResourceBundles. This makes it possible to use the 
original text instead of arbitrary property keys, which is less cumbersome 
and makes programs easier to read.
Comment 1 D Haley 2009-08-22 01:46:27 EDT
Some quick comments:

*In generate-tarball, please specify a specific version in the repository for checkout. I cannot verify the MD5 without this.

*Generate tarball permission bits should be 744. (rpmlint output)

*Using svn export is probably a better idea than using find to remove .svn after an svn co

*If you like (not required, but I like it), you can add this to the top of generate-tarball to guard against misuse of generate-tarball:
if [ $# -ne 2 ] ; then
        echo USAGE: ./generate-tarball NAME_VERSION RELEASE
        exit 1
fi

*.java files do not appear to have LGPL licence headers, as required by the licence. Please raise upstream bug.

*Any kind of licence files are missing. Please raise upstream bug.

*Please post rpmlint output for reviews, as well as koji builds where possible

*"Requires:       jpackage-utils" for javadoc not needed, as javadoc requires main package which also requires jpackage-utils

*Summary should replace the word "library" with "task". 

*Should this package not require gettext-commons  (bug 515136) ? I assume that the ant-task will fail if it cannot find the gettext jar file.

*Raise bug for upstream to provide tagged source releases in future. This will assist maintaining sync with project releases.
Comment 2 D Haley 2009-08-28 23:33:59 EDT
Quick additional comment.
Ant tasks are required to register themselves in /etc/ant.d/%{name} , see Bug 167525 for more info
Comment 3 Rafael Aquini 2010-08-19 21:29:30 EDT
PING

It's been almost a year with no progress; This review should be closed soon if there is no response, shouldn't it?
Comment 4 Rafael Aquini 2010-09-09 19:49:43 EDT
It's been more than a year without any progress on this review. Due to this
lack of activity and no replies to the latest PING (Comment 3), this review is
now considered stalled.
I'm closing this bug just as described in Fedora's Policy for stalled package
reviews: http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Note You need to log in before you can comment on or make changes to this bug.